part of nodejs_interop;

/// The CPU time usage of the current process.
@JS()
@anonymous
abstract class CpuUsage {

  /// Creates a new CPU time usage object.
  external factory CpuUsage({int system, int user});

  /// Time spent in system code, in microseconds.
  external int get system;

  /// Time spent in user code, in microseconds.
  external int get user;
}
