part of nodejs_interop;

/// Information about a CPU core.
@JS()
@anonymous
abstract class Cpu {

  /// Creates a new CPU time usage object.
  external factory Cpu({String model, int speed, CpuTimes times});

  /// The number of milliseconds the CPU has spent in idle mode.
  external String get model;

  /// The number of milliseconds the CPU has spent in interrupt request mode.
  external int get speed;

  /// The number of milliseconds the CPU has spent in scheduling priority mode.
  external CpuTimes get times;
}
