part of nodejs_interop;

/// An object whose properties represent significant elements of a path.
@JS()
@anonymous
abstract class Path {

  /// Creates a new path object.
  external factory Path({String base, String dir, String ext, String name, String root});

  /// The file name.
  external String get base;

  /// The directory name.
  external String get dir;

  /// The file extension.
  external String get ext;

  /// The file name without extension.
  external String get name;

  /// The root component.
  external String get root;
}
