import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the `JsError` classes.
void main() {
  group('JsError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsError('Error');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('Error'));
    });
  });

  group('JsEvalError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsEvalError('EvalError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('EvalError'));
    });
  });

  group('JsRangeError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsRangeError('RangeError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('RangeError'));
    });
  });

  group('JsReferenceError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsReferenceError('ReferenceError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('ReferenceError'));
    });
  });

  group('JsSyntaxError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsSyntaxError('SyntaxError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('SyntaxError'));
    });
  });

  group('JsTypeError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsTypeError('TypeError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('TypeError'));
    });
  });

  group('JsUriError', () {
    test('should be an instance of the Exception class', () {
      var error = new JsUriError('UriError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('UriError'));
    });
  });
}
