part of nodejs_interop;

/// Converts the specified [promise] to a [Future].
Future<T> convertToFuture<T>(Promise<T> promise) {
  var completer = new Completer();
  promise.then(
    allowInterop((value) => completer.complete(value)),
    allowInterop((error) => completer.completeError(error))
  );

  return completer.future;
}
