part of nodejs_interop;

/// Converts the specified JavaScript [value] to a Dart instance.
dynamic convertToDart(value) {
  if (value == null) return null;
  if (value is bool || value is num || value is DateTime || value is TypedData || value is String) return value;
  if (value is List) return value.map(convertToDart).toList();
  return new Map.fromIterable(_JsObject.keys(value), value: (key) => convertToDart(getProperty(value, key)));
}
