part of nodejs_interop;

/// Options passed to the [JsAssertionError] constructor.
@JS()
@anonymous
abstract class AssertionErrorOptions {

  /// Creates a new path object.
  external factory AssertionErrorOptions({actual, expected, String message, String operator, JsFunction stackStartFunction});

  /// The actual value.
  external dynamic get actual;

  /// The expected value.
  external dynamic get expected;

  /// The error message.
  external String get message;

  /// The comparison operator used by the assertion.
  external String get operator;

  /// The constructor function used to customize the stack trace.
  external JsFunction get stackStartFunction;
}
